Package org.apache.commons.math3.optim.linear

# Class SolutionCallback

java.lang.Object
org.apache.commons.math3.optim.linear.SolutionCallback

All Implemented Interfaces:
  `OptimizationData`

public class SolutionCallback extends Object implements OptimizationData
A callback object that can be provided to a linear optimizer to keep track of the best solution found.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`SolutionCallback()`

## Method Summary

Modifier and Type
Method
Description
`PointValuePair`
`getSolution()`
Retrieve the best solution found so far.
`boolean`
`isSolutionOptimal()`
Returns if the found solution is optimal.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SolutionCallback

public SolutionCallback()

## Method Details

### getSolution

public PointValuePair getSolution()
Retrieve the best solution found so far.

Note: the returned solution may not be optimal, e.g. in case the optimizer did reach the iteration limits.

Returns:
  the best solution found so far by the optimizer, or `null` if no feasible solution could be found

### isSolutionOptimal

public boolean isSolutionOptimal()
Returns if the found solution is optimal.

Returns:
  `true` if the solution is optimal, `false` otherwise